Package com.massivecraft.factions.zcore.fupgrades

## Class UpgradesListener

- java.lang.Object
- - com.massivecraft.factions.zcore.fupgrades.UpgradesListener

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class UpgradesListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpgradesListener()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `onArmorDamage​(org.bukkit.event.player.PlayerItemDamageEvent e)` |
`void` | `onCropGrow​(org.bukkit.event.block.BlockGrowEvent e)` |
`static void` | `onDamageIncrease​(org.bukkit.event.entity.EntityDamageByEntityEvent e)` |
`static void` | `onDamageReduction​(org.bukkit.event.entity.EntityDamageByEntityEvent e)` |
`void` | `onDeath​(org.bukkit.event.entity.EntityDeathEvent e)` |
`void` | `onSpawn​(org.bukkit.event.entity.SpawnerSpawnEvent e)` |
`void` | `onWaterRedstone​(org.bukkit.event.block.BlockFromToEvent e)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpgradesListener

    public UpgradesListener()

### Method Detail

#### onDeath

    public void onDeath​(org.bukkit.event.entity.EntityDeathEvent e)

#### onSpawn

    public void onSpawn​(org.bukkit.event.entity.SpawnerSpawnEvent e)

#### onCropGrow

    public void onCropGrow​(org.bukkit.event.block.BlockGrowEvent e)

#### onDamageReduction

    public static void onDamageReduction​(org.bukkit.event.entity.EntityDamageByEntityEvent e)

#### onWaterRedstone

    public void onWaterRedstone​(org.bukkit.event.block.BlockFromToEvent e)

#### onDamageIncrease

    public static void onDamageIncrease​(org.bukkit.event.entity.EntityDamageByEntityEvent e)

#### onArmorDamage

    public void onArmorDamage​(org.bukkit.event.player.PlayerItemDamageEvent e)